searchNodes=[{"doc":"This library contains Bitcrowd's collection of tiny Ecto helpers. BitcrowdEcto.Schema is our default schema template which configures PK/FKs and timestamp types, among other things. BitcrowdEcto.Repo contains extensions for Ecto repos, like fetch/2 . BitcrowdEcto.Migrator contains a tool for migrating from within releases. BitcrowdEcto.Changeset contains mostly validators. BitcrowdEcto.Assertions has an assortment of useful ExUnit assertions related to Ecto schemas.","ref":"BitcrowdEcto.html","title":"BitcrowdEcto","type":"module"},{"doc":"Useful little test assertions related to Ecto.Changeset.t/0 . Example Import this in your ExUnit.CaseTemplate : defmodule MyApp.TestCase do use ExUnit.CaseTemplate using do quote do import Ecto import Ecto.Changeset import Ecto.Query import BitcrowdEcto.Assertions end end end","ref":"BitcrowdEcto.Assertions.html","title":"BitcrowdEcto.Assertions","type":"module"},{"doc":"Asserts that a changeset contains a failed &quot;acceptance&quot; validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_acceptance_error_on/2","title":"BitcrowdEcto.Assertions.assert_acceptance_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a change of a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_changes/2","title":"BitcrowdEcto.Assertions.assert_changes/2","type":"function"},{"doc":"Asserts that a changeset contains a change of a given field to a given value. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_changes/3","title":"BitcrowdEcto.Assertions.assert_changes/3","type":"function"},{"doc":"Assert that a given function changes the count of a given database table. Example assert_count_difference Repo , Foo , 1 , fn -&gt; Repo . insert ( % Foo { } ) end","ref":"BitcrowdEcto.Assertions.html#assert_count_difference/4","title":"BitcrowdEcto.Assertions.assert_count_difference/4","type":"function"},{"doc":"Assert multiple database table count changes. See assert_count_difference/4 for details. Example assert_count_differences ( [ { MyApp.Foo , 1 } , { MyApp.Bar , - 1 } ] , fn -&gt; % MyApp.Foo { } |&gt; MyApp.Repo . insert ( ) % MyApp.Bar { id : 1 } |&gt; MyApp.Repo . delete ( ) end","ref":"BitcrowdEcto.Assertions.html#assert_count_differences/3","title":"BitcrowdEcto.Assertions.assert_count_differences/3","type":"function"},{"doc":"Asserts that a given function changes the integer fetched by another function by a delta. Example assert_difference fn -&gt; Repo . count ( Foo ) end , 1 fn -&gt; % Foo { } |&gt; Repo . insert ( ) end","ref":"BitcrowdEcto.Assertions.html#assert_difference/4","title":"BitcrowdEcto.Assertions.assert_difference/4","type":"function"},{"doc":"Asserts that a changeset contains a given error on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_error_on/4","title":"BitcrowdEcto.Assertions.assert_error_on/4","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;foreign&quot; constraint validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_foreign_constraint_error_on/2","title":"BitcrowdEcto.Assertions.assert_foreign_constraint_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;format&quot; validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_format_error_on/2","title":"BitcrowdEcto.Assertions.assert_format_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;inclusion&quot; validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_inclusion_error_on/2","title":"BitcrowdEcto.Assertions.assert_inclusion_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;no_assoc&quot; constraint validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_no_assoc_constraint_error_on/2","title":"BitcrowdEcto.Assertions.assert_no_assoc_constraint_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;number&quot; validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_number_error_on/2","title":"BitcrowdEcto.Assertions.assert_number_error_on/2","type":"function"},{"doc":"Asserts that an Ecto struct has a preloaded nested struct at a given path.","ref":"BitcrowdEcto.Assertions.html#assert_preloaded/2","title":"BitcrowdEcto.Assertions.assert_preloaded/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;required&quot; validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_required_error_on/2","title":"BitcrowdEcto.Assertions.assert_required_error_on/2","type":"function"},{"doc":"Asserts that a changeset contains a failed &quot;unique&quot; constraint validation on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#assert_unique_constraint_error_on/2","title":"BitcrowdEcto.Assertions.assert_unique_constraint_error_on/2","type":"function"},{"doc":"A better error helper that transforms the errors on a given field into a list of [&lt;message&gt;, &lt;value of the :validation metadata field&gt;] . If multiple validations failed, the list will contain more elements! That simple. Metadata By default, flat_errors_on/2 extracts metadata from the :validation and :constraint keys, as those are were Ecto stores its metadata. Custom metadata at different keys can be extracted using the :metadata option.","ref":"BitcrowdEcto.Assertions.html#flat_errors_on/3","title":"BitcrowdEcto.Assertions.flat_errors_on/3","type":"function"},{"doc":"Refutes that a changeset accepts changes to a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#refute_changes/2","title":"BitcrowdEcto.Assertions.refute_changes/2","type":"function"},{"doc":"Assert that a given function doesn't change the value fetched by another function. Example refute_difference fn -&gt; Repo . count ( Foo ) end , fn -&gt; Repo . insert ( % Foo { } ) end","ref":"BitcrowdEcto.Assertions.html#refute_difference/3","title":"BitcrowdEcto.Assertions.refute_difference/3","type":"function"},{"doc":"Asserts that a changeset does not contain an error on a given field. Returns the changeset for chainability.","ref":"BitcrowdEcto.Assertions.html#refute_errors_on/2","title":"BitcrowdEcto.Assertions.refute_errors_on/2","type":"function"},{"doc":"Refutes that an Ecto struct has a preloaded nested struct at a given path.","ref":"BitcrowdEcto.Assertions.html#refute_preloaded/2","title":"BitcrowdEcto.Assertions.refute_preloaded/2","type":"function"},{"doc":"Extensions for Ecto changesets.","ref":"BitcrowdEcto.Changeset.html","title":"BitcrowdEcto.Changeset","type":"module"},{"doc":"Validates that a field that has been changed.","ref":"BitcrowdEcto.Changeset.html#validate_changed/2","title":"BitcrowdEcto.Changeset.validate_changed/2","type":"function"},{"doc":"Validates that an email has valid format. Ignores nil values. Compliance For a good list of valid/invalid emails, see https://gist.github.com/cjaoude/fd9910626629b53c4d25 The regex used in this validator doesn't understand half of the inputs, but we don't really care for now. Validating super strange emails is not a sport we want to compete in.","ref":"BitcrowdEcto.Changeset.html#validate_email/3","title":"BitcrowdEcto.Changeset.validate_email/3","type":"function"},{"doc":"Validates that a field is not changed from its current value, unless the current value is nil.","ref":"BitcrowdEcto.Changeset.html#validate_immutable/2","title":"BitcrowdEcto.Changeset.validate_immutable/2","type":"function"},{"doc":"Validates that a field has changed in a defined way. Examples validate_transition ( changeset , field , [ { &quot;foo&quot; , &quot;bar&quot; } , { &quot;foo&quot; , &quot;yolo&quot; } ] This marks the changeset invalid unless the value of :field is currently &quot;foo&quot; and is changed to &quot;bar&quot; or &quot;yolo&quot; . If the field is not changed, a {state, state} transition has to be present in the list of transitions.","ref":"BitcrowdEcto.Changeset.html#validate_transition/3","title":"BitcrowdEcto.Changeset.validate_transition/3","type":"function"},{"doc":"Validates a field url to be qualified url","ref":"BitcrowdEcto.Changeset.html#validate_url/2","title":"BitcrowdEcto.Changeset.validate_url/2","type":"function"},{"doc":"Release migration logic for repositories. Can deal with normal repositories &amp; multi-tenant repositories. Usage In the simplest case, add the Migrator to your repository: defmodule MyApp.Repo do use Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres use BitcrowdEcto.Migrator end and call the migrator from your release: bin / my_app eval &#39;MyApp.Repo.up()&#39; Multi-Tenant repositories For multi-tenant repositories, you need to provide a list of tenants (= PG schemas) by overriding the known_prefixes/0 function on your repository: defmodule MyApp.Repo do use Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres use BitcrowdEcto.Migrator def known_prefixes do [ &quot;tenant_a&quot; , &quot;tenant_b&quot; ] end end This will make the migrator apply migrations from the priv/repo/tenant_migrations directory onto schemas tenant_a and tenant_b . The schemas will be created if necessary. Mix tasks for development In normal development without multi-tenancy, the usual Ecto mix tasks will work just fine. When using tenant schemas, the normal Ecto mix tasks will only apply the &quot;global&quot; (i.e. non-prefixed migrations) from priv/repo/migrations , which is not enough. You can define your own Mix tasks calling the up/0 and down/1 functions on your repository: defmodule Mix.Tasks.MyApp.Migrate do use Mix.Task @shortdoc &quot;Migrates our repository&quot; @moduledoc &quot;Migrates the repository including the tenant schemas&quot; @impl true def run ( args ) do Mix.Task . run ( &quot;app.config&quot; , args ) MyApp.Repo . up ( ) end end defmodule Mix.Tasks.MyApp.Rollback do use Mix.Task @shortdoc &quot;Rolls back our repository&quot; @moduledoc &quot;Rolls back the repository including the tenant schemas&quot; @impl true def run ( args ) do Mix.Task . run ( &quot;app.config&quot; , args ) { [ to : to ] , _ } = OptionParser . parse! ( args , strict : [ to : :integer ] , aliases : [ ] ) MyApp.Repo . down ( to ) end end","ref":"BitcrowdEcto.Migrator.html","title":"BitcrowdEcto.Migrator","type":"behaviour"},{"doc":"Rolls back both the main schemas/tables and the tenant schemas to a given version.","ref":"BitcrowdEcto.Migrator.html#c:down/1","title":"BitcrowdEcto.Migrator.down/1","type":"callback"},{"doc":"Returns the list of prefixes used on this repository.","ref":"BitcrowdEcto.Migrator.html#c:known_prefixes/0","title":"BitcrowdEcto.Migrator.known_prefixes/0","type":"callback"},{"doc":"Migrates both the &quot;main&quot; (i.e. non-tenant) schemas/tables and the tenant schemas to their latest version.","ref":"BitcrowdEcto.Migrator.html#c:up/0","title":"BitcrowdEcto.Migrator.up/0","type":"callback"},{"doc":"Extensions for Ecto repos. Usage defmodule MyApp.Repo do use Ecto.Repo , otp_app : :my_app , adapter : Ecto.Adapters.Postgres use BitcrowdEcto.Repo end","ref":"BitcrowdEcto.Repo.html","title":"BitcrowdEcto.Repo","type":"behaviour"},{"doc":"Acquires an advisory lock for a named resource. Advisory locks are helpful when you don't have a specific row to lock, but also don't want to lock an entire table. See https://www.postgresql.org/docs/9.4/explicit-locking.html#ADVISORY-LOCKS Example MyApp.Repo . transaction ( fn -&gt; MyApp.Repo . advisory_lock ( :foo ) # Advisory lock is held until end of transaction end ) A note on the advisory lock key pg_advisory_xact_lock() has two versions: One which you pass a 64-bit signed integer as the lock key, and one which you pass two 32-bit integers as the keys (e.g., one &quot;application&quot; key and one specific lock key), in which case PostgreSQL concatenates them into a 64-bit value. In any case you need to pass integers. We decided that we wanted to have atom or string keys for better readability. Hence, in= order to make PostgreSQL happy, we hash these strings into 64 bits signed ints. 64 bits make a pretty big number already, so it is quite unlikely that two of our keys (or keys of other libraries that use advisory locks, e.g. Oban) collide. But for an extra false sense of safety we use a crypto hash algorithm to ensure that keys spread out over the domain uniformly. Luckily, taking a prefix of a cryptographic hash does not break its uniformity.","ref":"BitcrowdEcto.Repo.html#c:advisory_xact_lock/1","title":"BitcrowdEcto.Repo.advisory_xact_lock/1","type":"callback"},{"doc":"Allows to conveniently count a queryable.","ref":"BitcrowdEcto.Repo.html#c:count/1","title":"BitcrowdEcto.Repo.count/1","type":"callback"},{"doc":"Fetches a record by ID or returns a &quot;tagged&quot; error tuple. See fetch/2 .","ref":"BitcrowdEcto.Repo.html#c:fetch/2","title":"BitcrowdEcto.Repo.fetch/2","type":"callback"},{"doc":"Fetches a record by ID or returns a &quot;tagged&quot; error tuple. See fetch_by/3 for options.","ref":"BitcrowdEcto.Repo.html#c:fetch/3","title":"BitcrowdEcto.Repo.fetch/3","type":"callback"},{"doc":"Fetches a record by given clauses or returns the result wrapped in an ok tuple. See fetch_by/3 .","ref":"BitcrowdEcto.Repo.html#c:fetch_by/2","title":"BitcrowdEcto.Repo.fetch_by/2","type":"callback"},{"doc":"Fetches a record by given clauses or returns the result wrapped in an ok tuple. On error, a &quot;tagged&quot; error tuple is returned that contains the original queryable or module as the tag, e.g. {:error, {:not_found, Account}} for a fetch_by(Account, id: 1) call. This function can also apply row locks. Options lock any of [:no_key_update, :update] (defaults to false ) preload allows to preload associations","ref":"BitcrowdEcto.Repo.html#c:fetch_by/3","title":"BitcrowdEcto.Repo.fetch_by/3","type":"callback"},{"doc":"","ref":"BitcrowdEcto.Repo.html#t:fetch_option/0","title":"BitcrowdEcto.Repo.fetch_option/0","type":"type"},{"doc":"","ref":"BitcrowdEcto.Repo.html#t:fetch_result/0","title":"BitcrowdEcto.Repo.fetch_result/0","type":"type"},{"doc":"","ref":"BitcrowdEcto.Repo.html#t:lock_mode/0","title":"BitcrowdEcto.Repo.lock_mode/0","type":"type"},{"doc":"An opinionated set of defaults for Ecto schemas. Uses Ecto.Schema and imports Ecto.Changeset and BitcrowdEcto.Changeset Configures an autogenerated PK of type binary_id Configures FKs to be of type binary_id Sets timestamp type to utc_datetime_usec Defines a type t as a struct of the schema module. Defines an id type Usage defmodule MyApp.MySchema do use BitcrowdEcto.Schema end Or if you table lives in a different Postgres schema: defmodule MyApp.MySchema do use BitcrowdEcto.Schema , prefix : &quot;foo&quot; end","ref":"BitcrowdEcto.Schema.html","title":"BitcrowdEcto.Schema","type":"module"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2019 Parker Selbert Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"This library contains Bitcrowd's collection of tiny Ecto helpers. BitcrowdEcto.Schema is our default schema template which configures PK/FKs and timestamp types, among other things. BitcrowdEcto.Repo contains extensions for Ecto repos, like fetch/2 . BitcrowdEcto.Migrator contains a tool for migrating from within releases. BitcrowdEcto.Changeset contains mostly validators. BitcrowdEcto.Assertions has an assortment of useful ExUnit assertions related to Ecto schemas.","ref":"readme.html","title":"BitcrowdEcto","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release to the public 🎉","ref":"changelog.html#0-1-0-2022-01-07","title":"Changelog - [0.1.0] - 2022-01-07","type":"extras"}]